{"openapi":"3.0.4","info":{"title":"Get a list of the rebalance configurations available to the caller.","version":"0.0.1"},"servers":[{"url":"https://fbn-prd.lusid.com/app"}],"paths":{"/api/rebalance/configurations":{"get":{"tags":["Rebalance"],"summary":"Get a list of the rebalance configurations available to the caller.","operationId":"Rebalance.ListRebalanceConfigurations","responses":{"200":{"description":"A list of rebalance configurations.","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"/docs/api/web-app/schemas.json#/components/schemas/RebalanceConfigurationDetails"}},"example":[{"isShared":false,"name":"My Configuration","general":{"equivalentSecurityIdentifier":"Equivalent/SecurityIdentifier/Property"},"toleranceRules":{"maxDrift":{"absolute":{"tolerance":{"lowerDrift":3,"upperDrift":5,"isConstrained":false},"warningTolerance":{"lowerDrift":1,"upperDrift":1,"isConstrained":true}},"relative":{"tolerance":{"lowerDrift":10,"upperDrift":10,"isConstrained":true},"warningTolerance":{"lowerDrift":5,"upperDrift":5,"isConstrained":true}}},"groupingLevels":[{"property":"ReferenceHolding/default/Property1","rules":[{"propertyValue":"Value1","absolute":{"tolerance":{"lowerDrift":2,"upperDrift":2,"isConstrained":true},"warningTolerance":{"lowerDrift":0,"upperDrift":0,"isConstrained":true}}}],"otherValues":{"relative":{"tolerance":{"lowerDrift":15,"upperDrift":18,"isConstrained":false},"warningTolerance":{"lowerDrift":10,"upperDrift":10,"isConstrained":true}}}}]},"roundingRules":{"rounding":"FromPoint","roundingPoint":0.4,"fractionalRules":[{"property":"ReferenceHolding/default/Property1","values":[{"propertyValue":"Value1","decimalPlaces":4},{"propertyValue":"Value2","decimalPlaces":2}]}]},"absoluteRules":{"rules":[{"minAmount":20000,"maxAmount":30000,"appliesToAllInstruments":true},{"minAmount":50000,"maxAmount":100000,"appliesToAllInstruments":false,"instruments":[{"scope":"Default","id":"LUID_0001"}]}]},"cashRules":{"rules":[{"amount":150000,"currency":"EUR","type":"Amount"}]},"customValues":{"exportTradesReport":false,"orderType":"Market","timeInForce":"Fill or kill","properties":[{"propertyKey":"Block/custom-scope/StringProperty-1","customValue":{"propertyValue":{"labelValue":"Value 1"}}},{"propertyKey":"Block/custom-scope/DateProperty-1","customValue":{"propertyValue":{"labelValue":"2023-10-23T12:00:00.0000000+01:00"}}},{"propertyKey":"Order/custom-scope/StringProperty-1","customValue":{"propertyValue":{"labelValue":"A string value"}}},{"propertyKey":"Order/custom-scope/Count","customValue":{"propertyValue":{"metricValue":{"value":123}}}},{"propertyKey":"Order/custom-scope/PricePaid","customValue":{"propertyValue":{"metricValue":{"value":5125.25,"unit":"USD"}}}},{"propertyKey":"Order/custom-scope/MultipleValues","customValue":{"propertyValue":{"labelValueSet":{"values":["Value 1","Value 2"]}}}},{"propertyKey":"Order/custom-scope/ModelFees","customValue":{"property":{"propertyKey":"Portfolio/default/ModelFees","op":"Value"}}},{"propertyKey":"Block/custom-scope/CurrentRealisedMarketProfit","customValue":{"aggregate":{"key":"ProfitAndLoss/Realised/Market","op":"Sum","options":{"Window":"YTD"}}}}]}}]}}}},"security":[{"BearerAuth":[]}]}}},"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer"}}}}